# BEGIN SourceDeps(oneline):
BuildRequires: perl(FindBin.pm) perl(LWP/UserAgent.pm) perl(Number/Phone/Normalize.pm) perl(SMS/Send/Driver.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name SMS-Send-BudgetSMS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: SMS::Send driver to send messages via BudgetSMS (ttps://www.budgetsms.net/)
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TA/TASKULA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
SMS::Send driver for BudgetSMS - https://www.budgetsms.net/

This is not intended to be used directly, but instead called by SMS::Send (see
synopsis above for a basic illustration, and see SMS::Send's documentation for
further information).

The driver uses the BudgetSMS HTTP API mechanism.  This is documented at
https://www.budgetsms.net/sms-http-api/send-sms/

%prep
%setup -q -n SMS-Send-BugetSMS

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/S*

%changelog
* Tue Apr 09 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

